[SciPy-Dev] NearestNDInterpolator refuses to handle (N, 1) arrays

Pauli Virtanen pav@iki...
Sat Sep 3 05:49:17 CDT 2011


On Fri, 02 Sep 2011 16:10:33 -0400, David Huard wrote:
> In version 0.9.0, the NearestNDInterpolator class raises an error if
> given arrays of shape (N,1). The error is raised by _check_init_shape
> 
>         if points.shape[1] < 2:
>             raise ValueError("input data must be at least 2-D")
> 
> but the KDTree implementation that is used for interpolation can handle
> (N,1) arrays. I'm wondering if there is a reason for not allowing those
> cases through or it's just an oversight.

Probably an oversight (file a ticket :), probably because
the Qhull-based methods need >= 2-D data.

-- 
Pauli Virtanen



More information about the SciPy-Dev mailing list